<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Бланк для печати платёжного документа.
 * 
 * Файл: /admin/shop/action/print_order_blank.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
 
$shop = & singleton ('shop');
$shop_order_id = to_int($_GET['print_order']);

//Формируем html-код страницы
if ($order_row = $shop->GetOrder($shop_order_id))
{
	$aShopInfo = $shop->GetShop($order_row['shop_shops_id']);

	// интернет-магазин принадлежит текущему сайту
	if ($aShopInfo['site_id'] == CURRENT_SITE)
	{ 
		/* Формируем путь к файлу */
		$handler_path = CMS_FOLDER."hostcmsfiles/shop/pay/handler".$order_row['shop_system_of_pay_id'].'.php';

		if (file_exists($handler_path))
		{
			include($handler_path);
			$handler = new system_of_pay_handler();
			$handler->PrintOrder($shop_order_id);
		}
	}
}

exit();
?>